gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. this class manages the s System.Object
- Method
  System.Void `` `` Registers each of the stock items in . If an item already exists with the same stock ID as one of the , the old item gets replaced. The stock items are copied, so GTK+ does not hold any pointer into and can be freed. Use if is persistent and GTK# doesn't need to copy the array. a a , the number of items in (TODO: This API doesn't make sense for the underlying C API, because the C API has an option of adding multiple items. Needs clarification.)
- Method
  System.Void `` `` Same as but doesn't copy , so must persist until application exit. a a (TODO:Needs API review; see the Add method also.)
- Constructor
  Do not use.
  a
  Do not use
- Method
  System.Boolean `` `` Looks up a the StockId of the to return. the if found returns if a with the exists, else returns .